prop_spawner = {}
prop_spawner.type = "prop_spawner"
prop_spawner.g = false
prop_spawner.update = false
prop_spawner.alive = true
prop_spawner.count = 0
prop_spawner.c_inf = false


function prop_spawner:new(name,x,y,args)
	local object = {x = x, y = y, args = args}
	setmetatable(object, { __index = prop_spawner } )
	object.name = name
	return object
end

function prop_spawner:read_msg(msg)
	--print("recibi el mensaje de crear prop")
	if(msg.args.reason == 1) then
		object_manager:create_object(nil,"prop",self.x,self.y,0,0,{gfx=self.args["gfx"]})
		self.alive = false
	end
end

function prop_spawner:activate()
	object_manager:create_object(nil,"prop",self.x,self.y,0,0,{gfx=self.args["gfx"]})
	self.alive = false
end

function prop_spawner:destroy()
end
